Subject: Re: [PATCH] RDSRDMA: Fix cleanup of rds_iw_mr_pool

From: Jonathan Lallinger <[email-masked]>
Date: Tue, 27 Sep 2011 12:26:51 -0500

Hello David,

I am ashamed I made the same mistake twice. This happened because I had 
two git trees (I made a second one when kernel.org went down based off 
the github remote). I fixed, built, and ran several tests on the patch, 
and then sent the wrong patch from an old git tree (which was never 
build tested).

I can assure you I have a working patch, and it has been tested by the 
QA group at Chelsio and it builds/runs but there are still additional 
bugs in rds. So once I resolve those I will resend the correct patch 
with some additional fixes.

I am sorry about this and it won't happen again.

Thanks,
  Jonathan

David Miller wrote:
> From: Jonathan Lallinger <[email-masked]>
> Date: Tue, 13 Sep 2011 14:41:01 -0500
>
>   
>> @@ -548,6 +550,7 @@ static int rds_iw_flush_mr_pool(struct rds_iw_mr_pool *pool, int free_all)
>>  		spin_unlock_irqrestore(&pool->list_lock, flags);
>>  	}
>>  
>> +	atomic_sub(unpinned, &poll->free_pinned);
>>  	atomic_sub(ncleaned, &pool->dirty_count);
>>  	atomic_sub(nfreed, &pool->item_count);
>>  
>>     
>
> net/rds/iw_rdma.c: In function ‘rds_iw_flush_mr_pool’:
> net/rds/iw_rdma.c:553:24: error: ‘poll’ undeclared (first use in this function)
> net/rds/iw_rdma.c:553:24: note: each undeclared identifier is reported only once for each function it appears in
>
> If you didn't even build test it, I know you didn't test it's
> functionality either.
>
> This is crazy.
>
> Well if it's not important enough to even build test this change
> before you post it, then it obviously doesn't matter if the RDMA
> module crashes the kernel when it's unloaded.
>